Skip to main content
Update Job

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

job_external_id
string
required

The unique Job ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Body

application/json

Default structure for updating Job Data.

job_family_id
string

ID of the Job Family.

Required string length: 1 - 100
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

job_name
string

Name of the Job.

Required string length: 1 - 255
Example:

"Front End Developer"

active
boolean | null
default:true

The Job will not be used in matching if active is false. This is useful when a Job is being phased out.

Example:

true

job_description_id
string

External ID of the Job Profile Data with data type job_description to use as the primary job description of this Job. The Profile Data must belong to this Job. The first job description added to a Job becomes its primary job description. Adding more job descriptions does not change it; set this field to switch.

Example:

"3f1c2a9e-7b4d-4e2a-9c61-0d8e5b7a4f12"

Response

No Content